Overview
GET
/content/category-items/{id}contentGet category_items by id
Fetch a record from category-items by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
category_items
- idstring
- ecosystemIdstring
- customerIdstring
- deletedAtstring?
- categoryIdstring
- targetKindstring
- targetIdstring
- sortOrderinteger
- createdAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"customerId": "string",
"deletedAt": "string",
"categoryId": "string",
"targetKind": "string",
"targetId": "string",
"sortOrder": 0,
"createdAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/content/category-items/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/category-items/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();